body {
    font-family: 'Arial', sans-serif;
    margin: 70px;
    padding: 20px;
    background-color: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

header {
    padding: 10px;
    text-align: center;
    border-radius: 5px;
}

article {
    background-color: #fff;
    border: 1px solid #dee2e6;
    border-radius: 5px;
    padding: 15px;
    margin-bottom: 20px;
}

h1 {
    color: #003C57;
}

h2 {
    color: #007198;

    /* ajout d'un trait sous le titre */
    border-bottom: 1px solid #007198;
    padding-bottom: 5px;
}

h3 {
    color: #0594D0;
}

.image-container {
    text-align: center;
    margin-bottom: 20px;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

#large-img {
    width: 30%;
}

#extra-large-img {
    width: 45%;
}

#smiley {
    width: 5%;
    float: right;
    margin-inline-end: 10px;
    margin-top: -30px;
}

figcaption {
    font-style: italic;
    font-size: 0.8em;
    color: #6c757d;
}


a {
    color: #0594D0;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

a:hover {
    color: #04BBFF;
}


footer {
    margin-top: 20px;
    text-align: center;
    color: #6c757d;
}

#references {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    padding: 10px;
    margin-top: 20px;
    border-radius: 5px;
}

#references h2 {
    color: #333;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
}

#references p {
    margin: 5px 0;
    line-height: 1.6;
}

#references p a {
    color: #007198;
    text-decoration: none;
    border-bottom: 1px dashed #007198;
}

#references p a:hover {
    color: #005580;
    border-bottom: 1px solid #005580;
}
